aboutsummaryrefslogtreecommitdiffstats
path: root/package/busybox/files/cron
diff options
context:
space:
mode:
authorblogic <blogic@3c298f89-4303-0410-b956-a3cf2f4a3e73>2012-10-05 10:12:53 +0000
committerblogic <blogic@3c298f89-4303-0410-b956-a3cf2f4a3e73>2012-10-05 10:12:53 +0000
commit5c105d9f3fd086aff195d3849dcf847d6b0bd927 (patch)
tree1229a11f725bfa58aa7c57a76898553bb5f6654a /package/busybox/files/cron
downloadopenwrt-5c105d9f3fd086aff195d3849dcf847d6b0bd927.tar.gz
openwrt-5c105d9f3fd086aff195d3849dcf847d6b0bd927.zip
branch Attitude Adjustment
git-svn-id: svn://svn.openwrt.org/openwrt/branches/attitude_adjustment@33625 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/busybox/files/cron')
-rwxr-xr-xpackage/busybox/files/cron18
1 files changed, 18 insertions, 0 deletions
diff --git a/package/busybox/files/cron b/package/busybox/files/cron
new file mode 100755
index 000000000..465b1ab45
--- /dev/null
+++ b/package/busybox/files/cron
@@ -0,0 +1,18 @@
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006-2011 OpenWrt.org
+
+START=50
+
+SERVICE_USE_PID=1
+
+start () {
+ loglevel=$(uci_get "system.@system[0].cronloglevel")
+ [ -z "$(ls /etc/crontabs/)" ] && exit 1
+ mkdir -p /var/spool/cron
+ ln -s /etc/crontabs /var/spool/cron/ 2>/dev/null
+ service_start /usr/sbin/crond -c /etc/crontabs -l ${loglevel:-5}
+}
+
+stop() {
+ service_stop /usr/sbin/crond
+}